# eric4.Helpviewer.AdBlock.AdBlockBlockedNetworkReply

Module implementing a QNetworkReply subclass reporting a blocked request.

### Global Attributes

None

### Classes

AdBlockBlockedNetworkReply | Class implementing a QNetworkReply subclass reporting a blocked request.

### Functions

None

## AdBlockBlockedNetworkReply

Class implementing a QNetworkReply subclass reporting a blocked request.

### Derived from

QNetworkReply

### Class Attributes

None

### Class Methods

None

### Methods

AdBlockBlockedNetworkReply | Constructor
__fireSignals | Private method to send some signals to end the connection.
abort | Public slot to abort the operation.
readData | Protected method to retrieve data from the reply object.

### Static Methods

None

#### AdBlockBlockedNetworkReply (Constructor)

AdBlockBlockedNetworkReply(request, rule, parent = None)

Constructor

request
  reference to the request object (QNetworkRequest)
fileData
  reference to the data buffer (QByteArray)
mimeType
  for the reply (string)

#### AdBlockBlockedNetworkReply.__fireSignals

__fireSignals()

Private method to send some signals to end the connection.

#### AdBlockBlockedNetworkReply.abort

abort()

Public slot to abort the operation.

#### AdBlockBlockedNetworkReply.readData

readData(maxlen)

Protected method to retrieve data from the reply object.

maxlen
  maximum number of bytes to read (integer)

Returns:
  string containing the data (string)

Up